Subject: Re: [PATCH 0/2] For v2.37.0: rename fetch.credentialsInUrl to transfer.credentialsInUrl

From: Derrick Stolee <[email-masked]>
Date: Wed, 15 Jun 2022 09:12:25 -0400

On 6/15/22 6:44 AM, Ævar Arnfjörð Bjarmason wrote:
> The $subject is a case where nothing is broken except potential user
> expectations, but as argued in 2/2 I think we really should rename
> this before we kick it out the door.
> 
> Having a "fetch" configuration configure "git push" is really
> confusing, and once we need to support it backing out of it would be a
> hassle.
> 
> Then 1/2 clarifies how it really works, and what it's aimed to do, and
> notes the major caveat that the check doesn't cover "pushurl"
> configuration, which in some setups is the only place you'll put
> passwords in URLs. I think it likewise makes sense to have that in
> v2.37.0 so we won't lull users into a false sense of security.
> 
> This is a relatively large change for an "rc", but the only code
> changes are s/fetch\.credentialsInUrl/transfer.credentialsInUrl/g, the
> rest is all docs.

Sorry that I didn't see this before looking at your other RFC.
(That RFC still has some references to "fetch.credentialsInUrl"
in your commit messages, btw.)

This rename makes sense and is good to handle before the release.
Thank you for updating the release notes.

The expanded details in the docs are good.

Thanks,
-Stolee